ur_rna.StructureEditor.models

## Enum Motif.Loop.LoopType

- java.lang.Object
- - java.lang.Enum<Motif.Loop.LoopType>
  - - ur_rna.StructureEditor.models.Motif.Loop.LoopType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Motif.Loop.LoopType>
  Enclosing class:
    Motif.Loop

      public static enum Motif.Loop.LoopType
      extends java.lang.Enum<Motif.Loop.LoopType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Exterior` The loop is exterior loop -- traversal from the end does not connect back to the start.
    `Hairpin` The nucleotides at both ends of the loop are paired to each other.
    `Internal` Traversal from the end of the loop and back to the start of the loop encounters only two helices (i.e.
    `Multibranch` Traversal from the end of the loop and back to the start of the loop encounters more than two helices.
    `Pseudo` The loop is part of a pseudoknot
    `Terminal` The loop is an `Exterior` one at the start or end of the strand.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Motif.Loop.LoopType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Motif.Loop.LoopType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Exterior

          public static final Motif.Loop.LoopType Exterior

      The loop is exterior loop -- traversal from the end does not connect back to the start. (i.e. this loop is not included in any domain)

    - #### Hairpin

          public static final Motif.Loop.LoopType Hairpin

      The nucleotides at both ends of the loop are paired to each other.

    - #### Internal

          public static final Motif.Loop.LoopType Internal

      Traversal from the end of the loop and back to the start of the loop encounters only two helices (i.e. one at the start of the loop and one at the end).

    - #### Multibranch

          public static final Motif.Loop.LoopType Multibranch

      Traversal from the end of the loop and back to the start of the loop encounters more than two helices.

    - #### Pseudo

          public static final Motif.Loop.LoopType Pseudo

      The loop is part of a pseudoknot

    - #### Terminal

          public static final Motif.Loop.LoopType Terminal

      The loop is an `Exterior` one at the start or end of the strand.

  - ### Method Detail

    - #### valueOf

          public static Motif.Loop.LoopType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### values

          public static Motif.Loop.LoopType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Motif.Loop.LoopType c : Motif.Loop.LoopType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared